Package org.apache.wiki.plugin

# Class RecentChangesPlugin

java.lang.Object
org.apache.wiki.plugin.AbstractReferralPlugin
org.apache.wiki.plugin.RecentChangesPlugin

All Implemented Interfaces:
  `Plugin`

public class RecentChangesPlugin extends AbstractReferralPlugin implements Plugin
Returns the Recent Changes in the wiki being a date-sorted list of page names.

Parameters:

- since - show changes from the last n days, for example since=5 shows only the pages that were changed in the last five days
- format - (full|compact) : if "full", then display a long version with all possible info. If "compact", then be as compact as possible.
- timeFormat - the time format to use, the default is "HH:mm:ss"
- dateFormat - the date format to use, the default is "dd.MM.yyyy"

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_DATE_FORMAT`
`static final String`
`DEFAULT_TIME_FORMAT`
`static final String`
`PARAM_DATE_FORMAT`
Parameter name for the separator dateFormat.
`static final String`
`PARAM_FORMAT`
Parameter name for the separator format.
`static final String`
`PARAM_TIME_FORMAT`
Parameter name for the separator timeFormat.

### Fields inherited from class org.apache.wiki.plugin.AbstractReferralPlugin

`ALL_ITEMS, items, m_after, m_before, m_dateFormat, m_dateLastModified, m_engine, m_exclude, m_include, m_lastModified, m_maxwidth, m_separator, m_show, m_sorter, PARAM_AFTER, PARAM_BEFORE, PARAM_COLUMNS, PARAM_EXCLUDE, PARAM_INCLUDE, PARAM_LASTMODIFIED, PARAM_MAXWIDTH, PARAM_SEPARATOR, PARAM_SHOW, PARAM_SHOW_VALUE_COUNT, PARAM_SHOW_VALUE_PAGES, PARAM_SORTORDER, PARAM_SORTORDER_HUMAN, PARAM_SORTORDER_JAVA, PARAM_SORTORDER_LOCALE`

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

## Constructor Summary

Constructors
Constructor
Description
`RecentChangesPlugin()`

## Method Summary

Modifier and Type
Method
Description
`String`
`execute(Context context, Map<String,String> params)`

### Methods inherited from class org.apache.wiki.plugin.AbstractReferralPlugin

`applyColumnsStyle, filterAndSortCollection, filterCollection, filterWikiPageCollection, initialize, makeHTML, wikitizeCollection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PARAM_FORMAT

public static final String PARAM_FORMAT
Parameter name for the separator format. Value is `"format"`.

See Also:
  - Constant Field Values

### PARAM_TIME_FORMAT

public static final String PARAM_TIME_FORMAT
Parameter name for the separator timeFormat. Value is `"timeFormat"`.

See Also:
  - Constant Field Values

### PARAM_DATE_FORMAT

public static final String PARAM_DATE_FORMAT
Parameter name for the separator dateFormat. Value is `"dateFormat"`.

See Also:
  - Constant Field Values

### DEFAULT_TIME_FORMAT

public static final String DEFAULT_TIME_FORMAT

See Also:
  - Constant Field Values

### DEFAULT_DATE_FORMAT

public static final String DEFAULT_DATE_FORMAT

See Also:
  - Constant Field Values

## Constructor Details

### RecentChangesPlugin

public RecentChangesPlugin()

## Method Details

### execute

public String execute(Context context, Map<String,String> params) throws PluginException

Specified by:
  `execute` in interface `Plugin`
Throws:
  `PluginException`